%define upstream_name    Config-Model-TkUI
%define upstream_version 1.379

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    GUI for conf editors based on Config::Model
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config::Model) >= 2.139.0
BuildRequires: perl(Config::Model::ObjTreeScanner)
BuildRequires: perl(Config::Model::Tester::Setup)
BuildRequires: perl(Config::Model::Value)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Log::Log4perl) >= 1.110.0
BuildRequires: perl(Module::Build) >= 0.340.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Pod::POM)
BuildRequires: perl(Pod::POM::View::Text)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Log::Log4perl)
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.0.0
BuildRequires: perl(Text::Diff)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(Tk)
BuildRequires: perl(Tk::Adjuster)
BuildRequires: perl(Tk::Balloon)
BuildRequires: perl(Tk::BrowseEntry)
BuildRequires: perl(Tk::Dialog)
BuildRequires: perl(Tk::DialogBox)
BuildRequires: perl(Tk::DirSelect)
BuildRequires: perl(Tk::DoubleClick)
BuildRequires: perl(Tk::FontDialog)
BuildRequires: perl(Tk::Frame)
BuildRequires: perl(Tk::Menubutton)
BuildRequires: perl(Tk::NoteBook)
BuildRequires: perl(Tk::PNG)
BuildRequires: perl(Tk::Pane)
BuildRequires: perl(Tk::Photo)
BuildRequires: perl(Tk::Pod)
BuildRequires: perl(Tk::Pod::Text)
BuildRequires: perl(Tk::ROText)
BuildRequires: perl(Tk::Toplevel)
BuildRequires: perl(Tk::Tree)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(XXX)
BuildRequires: perl(YAML)
BuildRequires: perl(YAML::XS)
BuildArch:  noarch

Requires:   perl(Config::Model)
%description
This class provides a GUI for the Config::Model manpage.

With this class, the Config::Model manpage and an actual configuration
model (like the Config::Model::Xorg manpage), you get a tool to edit
configuration files (e.g. '/etc/X11/xorg.conf').

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
#xvfb-run -n 12 ./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml SIGNATURE examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.379.0-2.mga10
+ Revision: 2220546
- Mageia 10 Mass Rebuild

* Mon Dec 04 2023 tv <tv> 1.379.0-1.mga10
+ Revision: 2013086
- update to 1.379

* Thu Dec 29 2022 tv <tv> 1.376.0-1.mga9
+ Revision: 1927670
- update to 1.376

* Wed Mar 30 2022 umeabot <umeabot> 1.375.0-2.mga9
+ Revision: 1834746
- Mageia 9 Mass Rebuild

* Mon May 17 2021 tv <tv> 1.375.0-1.mga9
+ Revision: 1725208
- update to 1.375

* Fri Apr 23 2021 tv <tv> 1.374.0-1.mga9
+ Revision: 1717992
- update to 1.374

* Thu Feb 25 2021 tv <tv> 1.373.0-1.mga9
+ Revision: 1690203
- update to 1.373

* Mon Jan 04 2021 tv <tv> 1.372.0-1.mga8
+ Revision: 1668581
- update to 1.372

* Tue Feb 18 2020 umeabot <umeabot> 1.371.0-2.mga8
+ Revision: 1539664
- Mageia 8 Mass Rebuild

* Thu Dec 12 2019 tv <tv> 1.371.0-1.mga8
+ Revision: 1466001
- update to 1.371

* Sat Jun 29 2019 tv <tv> 1.370.0-1.mga8
+ Revision: 1416117
- update to 1.370

* Mon Jan 14 2019 tv <tv> 1.369.0-1.mga7
+ Revision: 1356706
- update to 1.369

* Fri Oct 26 2018 tv <tv> 1.368.0-1.mga7
+ Revision: 1325654
- update to 1.368

* Thu Sep 20 2018 umeabot <umeabot> 1.367.0-2.mga7
+ Revision: 1282423
- Mageia 7 Mass Rebuild

* Wed Sep 12 2018 shlomif <shlomif> 1.367.0-1.mga7
+ Revision: 1258691
- update to 1.367

* Thu May 10 2018 shlomif <shlomif> 1.366.0-1.mga7
+ Revision: 1228157
- update to 1.366

* Tue Dec 26 2017 shlomif <shlomif> 1.365.0-1.mga7
+ Revision: 1185256
- update to 1.365

* Mon Oct 02 2017 tv <tv> 1.364.0-2.mga7
+ Revision: 1163476
- rebuild with fixed rpm for missing autodeps

* Tue Sep 26 2017 guillomovitch <guillomovitch> 1.364.0-1.mga7
+ Revision: 1159891
- new version 1.364

* Sat Jun 18 2016 pterjan <pterjan> 1.349.0-3.mga6
+ Revision: 1024305
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.349.0-2.mga6
+ Revision: 968791
- Mageia 6 Mass Rebuild

* Sun Jul 19 2015 sander85 <sander85> 1.349.0-1.mga6
+ Revision: 855340
- update to 1.349

* Sun Jul 05 2015 sander85 <sander85> 1.348.0-1.mga6
+ Revision: 851539
- update to 1.348

* Wed Oct 15 2014 umeabot <umeabot> 1.344.0-3.mga5
+ Revision: 748023
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.344.0-2.mga5
+ Revision: 683994
- Mageia 5 Mass Rebuild

* Wed May 21 2014 sander85 <sander85> 1.344.0-1.mga5
+ Revision: 624706
- update to 1.344

* Tue May 06 2014 jquelin <jquelin> 1.343.0-1.mga5
+ Revision: 620485
- update to 1.343

* Mon Mar 03 2014 jquelin <jquelin> 1.341.0-1.mga5
+ Revision: 598696
- update to 1.341

* Sat Oct 19 2013 umeabot <umeabot> 1.340.0-2.mga4
+ Revision: 533444
- Mageia 4 Mass Rebuild

* Fri Aug 30 2013 sander85 <sander85> 1.340.0-1.mga4
+ Revision: 473266
- update to 1.340

* Mon Jun 10 2013 jquelin <jquelin> 1.339.0-1.mga4
+ Revision: 441488
- update to 1.339

* Sun Jan 13 2013 umeabot <umeabot> 1.337.0-2.mga3
+ Revision: 364700
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 1.337.0-1.mga3
+ Revision: 267282
- update to 1.337

* Mon Jun 18 2012 kharec <kharec> 1.336.0-1.mga3
+ Revision: 261497
- update to 1.336

* Thu Dec 08 2011 kharec <kharec> 1.331.0-1.mga2
+ Revision: 179119
- update to 1.331

* Thu Nov 03 2011 jquelin <jquelin> 1.329.0-1.mga2
+ Revision: 162189
- update to 1.329

* Mon Sep 26 2011 jquelin <jquelin> 1.328.0-1.mga2
+ Revision: 148020
- update to 1.328

* Fri Sep 16 2011 takashi <takashi> 1.326.0-1.mga2
+ Revision: 144202
- update to 1.326

* Fri Jul 08 2011 jquelin <jquelin> 1.325.0-1.mga2
+ Revision: 120355
- update to 1.325

* Wed Jun 15 2011 jquelin <jquelin> 1.324.0-1.mga2
+ Revision: 107795
- update to 1.324

* Tue Apr 12 2011 jquelin <jquelin> 1.323.0-1.mga1
+ Revision: 83737
- update to 1.323

* Wed Mar 09 2011 jquelin <jquelin> 1.322.0-1.mga1
+ Revision: 66935
- update to 1.322

* Tue Feb 22 2011 jquelin <jquelin> 1.320.0-1.mga1
+ Revision: 56516
- update to 1.320

* Wed Jan 26 2011 jquelin <jquelin> 1.317.0-1.mga1
+ Revision: 41252
- mageia rebuild
- imported package perl-Config-Model-TkUI

